<?php

$sql = "SELECT * FROM t_utenti_temp WHERE id_utenti='$id_utente'";
$mydb->DoSelect($sql);
$ru = $mydb->GetRow();
$nominativo = mydecodeTxt($ru['nome']) . " " . mydecodeTxt($ru['cognome']);
$email = mydecodeTxt($ru['email']);

if(!isset($isubsezione)) $isubsezione = 0;

?>
<div class="spessore" style="height:10px"></div>

<div class="box_cnt" style="text-align:left">
<form name="frmins" method="post" action="<? echo $action ?>" >

<?
if($isubsezione == 0) {

    $sql = "SELECT tu.*, ts.descrizione FROM survey_users as tu, surveys as ts WHERE tu.id_utente='$id_utente' AND tu.data_invio IS NOT NULL AND tu.data_invio != ''  AND tu.id_survey = ts.id";
    $aSurveys = $mydb->DoSelect($sql);

    ?>
    <div class="titolo">Elenco surveys <?=$nominativo?> - <?=$email?></div>
    <div class="spessore" style="height:10px"></div>
    <div class="spessore" style="height:10px"></div>
<table class="tablegrid3 tableresp" cellpadding="6" cellspacing="0">
            <thead>
                <tr>
                    <th></th>
                    <th >Survey</th>
                    <th  onclick="setOrd('data_reg')"><span class="underlined cliccabile">Data</span></th>
                    <th></th>
                </tr>
            </thead>
            
            <tbody>
    <?
    $i = 0;
        
    foreach ($aSurveys as $k => $r) {
        $i++;
         $data = Date_fromdbX($r['data_invio']);
         $idsurvey = $r['id_survey'];
         $descrizione = mydecodeTxt($r['descrizione']);
         $ids = $r['id_survey'];
        ?>
        <tr>
            <td><?=$i?></td>
            <td><?=$descrizione?></td>
            <td><?=$data?></td>
            <td><a href="javascript:openSurvey(<?= $ids ?>)"><img src="main/contents/icone/book.png" class="ico18 imgcliccabile" /></a></td>
    </tr>
        <?

    }
    ?>
            </tbody>
            </table>
    <?

} elseif($isubsezione == 1) {
    
    $sql = "SELECT * FROM survey_users WHERE id_utente='$id_utente'  id_survey =$ids"; 
    $mydb->DoSelect($sql);
    $ru = $mydb->GetRow();
    $idsurvey = $ru['id_survey'];
    $data = Date_fromdbX($ru['data_invio']);
    
    ?>
<div class="rbutton2" onclick="back()"><div>Indietro</div></div>
<div class="spessore"></div>
    <div class="titolo">Survey <?=$nominativo?> - <?=$email?></div>
    <div class="spessore" style="height:10px"></div>
    <div class="spessore" style="height:10px"></div>
   <?
}
?>
    <input type="hidden" name="MSID" value="<?= $MSID ?>" />
    <input type="hidden" name="sz" value="<?= $sezione ?>" />
    <input type="hidden" name="id_utente" value="<?= $id_utente ?>" />
    <input type="hidden" name="azione" value="" />
    <input type="hidden" name="id" value="" />

    <input type="hidden" name="tab" value="<?= $tab ?>" />
</form>

<div class="spessore"></div>
</div>

<script>

    function openSurvey(ids) {
        document.frmins.sz.value = 'survey,1';
        document.frmins.id.value = ids;
        waitpage();
        document.frmins.submit();
    }

    function back() {
        document.frmins.sz.value = 'survey,0';
        waitpage();
        document.frmins.submit();
    }

</script>